Skip to main content
PATCH
/
v1
/
accounts
/
{account_id}
/
phone-numbers
/
{phone_number_id}
Update phone number
curl --request PATCH \
  --url https://api.itellico.ai/v1/accounts/{account_id}/phone-numbers/{phone_number_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "number": "<string>",
  "name": "<string>",
  "inbound_agent_id": "<string>",
  "sip_trunk_id": "<string>"
}
'
{
  "id": "<string>",
  "number": "<string>",
  "sip_trunk": {
    "id": "<string>",
    "name": "<string>"
  },
  "inbound_agent": {
    "id": "<string>",
    "name": "<string>",
    "avatar": "<string>"
  },
  "spam_data": {},
  "friendly_name": "<string>",
  "tellows_data": {}
}

Authorizations

X-API-Key
string
header
required

Path Parameters

account_id
string<uuid4>
required
phone_number_id
string<uuid4>
required

Body

application/json
number
string | null

E.164 phone number

name
string | null

Friendly name

inbound_agent_id
string | null

Inbound Agent UUID (set null to unassign)

sip_trunk_id
string | null

SIPTrunk UUID (set null to unlink)

Response

OK

id
string<uuid4>
required
number
string | null
sip_trunk
SIPTrunkBaseV1Out · object
inbound_agent
NumberAgentV1Out · object
spam_data
Spam Data · object
friendly_name
string | null
Maximum string length: 100
tellows_data
Tellows Data · object

Tellows spam check data including score, complaints, caller info, and check timestamp